"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerProcessAdapter = void 0;
class BrokerProcessAdapter {
    constructor(ipcProcess) {
        this.ipcProcess = ipcProcess;
    }
    send(pattern, data) {
        this.ipcProcess.send(pattern, data);
    }
    register(pattern, handler) {
        this.ipcProcess.on(pattern, handler);
    }
}
exports.BrokerProcessAdapter = BrokerProcessAdapter;
