import { BrowserWindow } from 'electron';
import { IpcTransport } from '../../interfaces/ipc-transport.interface';
import { MessageHandler } from '../../types/message-handler.type';
export declare class BrokerRendererAdapter implements IpcTransport {
    private browserWindow;
    constructor(browserWindow: BrowserWindow);
    send(pattern: string, data: unknown): void;
    register(pattern: string, handler: MessageHandler): void;
}
