import { IpcTransport } from '../../interfaces/ipc-transport.interface';
import IpcProcess from '../../process/ipc-process';
import { MessageHandler } from '../../types/message-handler.type';
export declare class ProcessTransportAdapter implements IpcTransport {
    private ipcProcess;
    constructor(ipcProcess: IpcProcess);
    send(pattern: string, data: unknown): void;
    register(pattern: string, handler: MessageHandler): void;
}
