"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerResponseListenerFactoryComposer = void 0;
const broker_response_listener_1 = require("../../../client/response-listener/broker-response-listener");
const symbols_1 = require("../../../constants/symbols");
const container_configurable_composer_1 = require("../../abstract/container-configurable-composer");
class BrokerResponseListenerFactoryComposer extends container_configurable_composer_1.ContainerConfiguarableComposer {
    compose() {
        this.bindFactory();
    }
    bindFactory() {
        this.container
            .bind(symbols_1.Symbols.BrokerResponseListenerFactory)
            .toFactory(() => (brokerEvent) => new broker_response_listener_1.BrokerResponseListener(brokerEvent));
    }
}
exports.BrokerResponseListenerFactoryComposer = BrokerResponseListenerFactoryComposer;
