"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetadataReadersComposer = void 0;
const symbols_1 = require("../../constants/symbols");
const controller_metadata_reader_1 = require("../../metadata-readers/controller-metadata.reader");
const container_configurable_composer_1 = require("../abstract/container-configurable-composer");
class MetadataReadersComposer extends container_configurable_composer_1.ContainerConfiguarableComposer {
    compose() {
        this.container.bind(symbols_1.Symbols.ControllerMetadataReader).to(controller_metadata_reader_1.ControllerMetadataReader).inSingletonScope();
    }
}
exports.MetadataReadersComposer = MetadataReadersComposer;
