import { ControllerMetadata } from '../interfaces/controller-metadata.interface';
import { RequestExecutor } from './request-executor';
import { ExecutionContextFactory } from '../types/execution-context-factory.type';
export declare class ControllersRequestExecutorInjector {
    private executorContextFactory;
    private requestExecutorFactory;
    constructor(executorContextFactory: ExecutionContextFactory, requestExecutorFactory: () => RequestExecutor);
    inject(controllersMetadata: ControllerMetadata[]): void;
    private wrapEndpointsWithExecutionContext;
    private createAndWrapWithExecutionContext;
    private isRequest;
}
