"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionContext = void 0;
/* eslint-disable @typescript-eslint/ban-types */
const inversify_1 = require("inversify");
let ExecutionContext = class ExecutionContext {
    constructor(metadata, brokerEvent) {
        this.metadata = metadata;
        this.brokerEvent = brokerEvent;
    }
    getClass() {
        return this.metadata.controller.constructor;
    }
    getHandler() {
        return this.metadata.handler;
    }
    getParamMetadata() {
        return this.metadata.paramsMetadata;
    }
};
ExecutionContext = __decorate([
    inversify_1.injectable(),
    __metadata("design:paramtypes", [Object, Object])
], ExecutionContext);
exports.ExecutionContext = ExecutionContext;
exports.default = ExecutionContext;
