import { Middleware } from '.';
import DoveClient from './client/dove.client';
import { ClassType } from './types/class.type';
import { Controller } from './types/controller.type';
import { ModuleConfig } from './types/ipc-module-config.type';
export default class Dove {
    private container;
    constructor(config: ModuleConfig);
    private setContainer;
    private composeDependencies;
    start(): void;
    setMiddleware(middleware: (ClassType<Middleware> | Middleware)[]): void;
    setControllers(controllers: Controller[]): void;
    getDoveClient(): DoveClient;
}
