import 'reflect-metadata';
import { ControllerMetadata } from '../interfaces/controller-metadata.interface';
import { AbstractMetadataReader } from './abstract-metadata.reader';
import { ControllerHandlersMetadataReader } from './controller-handlers-metadata.reader';
export declare class ControllerMetadataReader extends AbstractMetadataReader {
    private handlersMetadataReader;
    constructor(handlersMetadataReader: ControllerHandlersMetadataReader);
    read<T extends Record<keyof T, unknown>>(controller: T): ControllerMetadata;
}
