import Middleware from '../../interfaces/middleware.interface';
import { IpcTransport } from '../../interfaces/ipc-transport.interface';
import { ExecutionContext } from '../../controllers/execution-context';
export declare class ResultBroadcastMiddleware implements Middleware {
    private icpTransport;
    private brokerEvent;
    constructor(icpTransport: IpcTransport);
    onRequest(context: ExecutionContext): any;
    onResponse(data: unknown): void;
    private broadcastResponse;
}
