import { ControllersRegistrator } from '../controllers/controllers-registrator';
import { IpcTransport } from '../interfaces/ipc-transport.interface';
import { ModuleMode } from '../interfaces/module-mode.interface';
export declare abstract class BaseMode implements ModuleMode {
    private controllersRegistrator;
    protected ipcTransport: IpcTransport;
    constructor(controllersRegistrator: ControllersRegistrator);
    start(): void;
    private registerControllers;
}
