"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerMainAdapter = void 0;
const electron_1 = require("electron");
const inversify_1 = require("inversify");
let BrokerMainAdapter = class BrokerMainAdapter {
    send(pattern, data) {
        electron_1.ipcMain.emit(pattern, undefined, data);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    register(pattern, handler) {
        // Not used since message doesn't come from outside of the process.
    }
};
BrokerMainAdapter = __decorate([
    inversify_1.injectable()
], BrokerMainAdapter);
exports.BrokerMainAdapter = BrokerMainAdapter;
