"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerRendererAdapter = void 0;
const electron_1 = require("electron");
class BrokerRendererAdapter {
    constructor(browserWindow) {
        this.browserWindow = browserWindow;
    }
    send(pattern, data) {
        this.browserWindow.webContents.send(pattern, data);
    }
    register(pattern, handler) {
        electron_1.ipcMain.on(pattern, handler);
    }
}
exports.BrokerRendererAdapter = BrokerRendererAdapter;
