import { EventDistributor } from '../../event-distributor/event-distributor';
import { BrokerEvent } from '../../interfaces/broker-event.interface';
import { IpcTransport } from '../../interfaces/ipc-transport.interface';
import { MessageHandler } from '../../types/message-handler.type';
export declare class MainTransportAdapter implements IpcTransport {
    private eventDistributor;
    constructor(eventDistributor: EventDistributor);
    send(pattern: string, data: BrokerEvent): void;
    register(pattern: string, handler: MessageHandler): void;
}
