"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerEventSubscriber = void 0;
const listener_factory_1 = require("../listener-adapter/factory/listener-factory");
class BrokerEventSubscriber {
    constructor(pattern, listener) {
        this.listenerAdapter = listener_factory_1.ListenerFactory.createListener();
        this.listenerAdapter.listen(pattern, listener);
    }
    unsubscribe() {
        this.listenerAdapter.removeListener();
    }
}
exports.BrokerEventSubscriber = BrokerEventSubscriber;
