import { IpcTransport } from '../interfaces/ipc-transport.interface';
import { ControllersMetadataFactory } from '../types/controllers-metadata-factory.type';
import { RequestExecutorInjector } from './request-executor-injector';
export declare class ControllersRegistrator {
    private requestExecutorInjector;
    private ipcTransport;
    private controllersMetadataFactory;
    constructor(requestExecutorInjector: RequestExecutorInjector, ipcTransport: IpcTransport, controllersMetadataFactory: ControllersMetadataFactory);
    register(): void;
    private registerMessageHandlers;
}
