import { BrokerEvent } from '../interfaces/broker-event.interface';
import { ControllerHandlerMetadata } from '../interfaces/controller-handler-metadata.interface';
import { HandlerParamMetadata } from '../interfaces/handler-param-metadata.interface';
import { MessageHandler } from '../types/message-handler.type';
export declare class ExecutionContext {
    private metadata;
    brokerEvent: BrokerEvent;
    constructor(metadata: ControllerHandlerMetadata, brokerEvent: BrokerEvent);
    getClass(): Function;
    getHandler(): MessageHandler;
    getParamMetadata(): HandlerParamMetadata<any>[];
}
export default ExecutionContext;
