"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HandlerParamsMapper = void 0;
const inversify_1 = require("inversify");
let HandlerParamsMapper = class HandlerParamsMapper {
    mapBrokerEventData(paramsMetadata, eventData) {
        const paramsValue = [].fill(undefined, 0, paramsMetadata.length);
        for (const metadata of paramsMetadata) {
            paramsValue[metadata.index] = metadata.method(metadata.options, eventData);
        }
        return paramsValue;
    }
};
HandlerParamsMapper = __decorate([
    inversify_1.injectable()
], HandlerParamsMapper);
exports.HandlerParamsMapper = HandlerParamsMapper;
