import { ControllerMetadata } from '../interfaces/controller-metadata.interface';
import { RequestExecutor } from './request-executor';
import { ExecutionContextFactory } from '../types/execution-context-factory.type';
import { MessageHandlerWithPattern } from '../interfaces/message-handler-with-pattern.interface';
export declare class RequestExecutorInjector {
    private executorContextFactory;
    private requestExecutorFactory;
    constructor(executorContextFactory: ExecutionContextFactory, requestExecutorFactory: () => RequestExecutor);
    injectIntoControllersHandlers(controllersMetadata: ControllerMetadata[]): MessageHandlerWithPattern[];
    private wrapHandlersWithExecutionContext;
    private createAndWrapWithExecutionContext;
    private isRequest;
}
