"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerEventFactory = void 0;
const uuid_1 = require("uuid");
class BrokerEventFactory {
    static createBrokerEvent(pattern, data) {
        return {
            type: 'REQUEST',
            eventId: uuid_1.v4(),
            pattern: pattern,
            data: data,
        };
    }
    static createBrokerEventAsResponse(base, data) {
        return Object.assign(Object.assign({}, base), { type: 'RESPONSE', data: data });
    }
}
exports.BrokerEventFactory = BrokerEventFactory;
