import 'reflect-metadata';
import { ControllerHandlerMetadata } from '../interfaces/controller-handler-metadata.interface';
import { AbstractMetadataReader } from './abstract-metadata.reader';
export declare class ControllerHandlersMetadataReader extends AbstractMetadataReader {
    read<T extends Record<keyof T, unknown>>(controller: T): Record<string, ControllerHandlerMetadata>;
    private getControllerProperties;
    private isReadable;
    private getHandlerPattern;
    private getHandlerParamsMetadata;
    private getHandlerMiddleware;
    private isMessageHandler;
}
