"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrokerMode = void 0;
const inversify_1 = require("inversify");
const controllers_registrator_1 = require("../controllers/controllers-registrator");
const event_distributor_adapter_registrator_1 = require("../event-distributor/event-distributor-adapter-registrator");
const client_mode_1 = require("./client.mode");
let BrokerMode = class BrokerMode extends client_mode_1.ClientMode {
    constructor(eventDistributorRegistrator, controllersRegistrator) {
        super(controllersRegistrator);
        this.eventDistributorRegistrator = eventDistributorRegistrator;
    }
    start() {
        super.start();
        this.eventDistributorRegistrator.register();
    }
};
BrokerMode = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(event_distributor_adapter_registrator_1.EventDistributorAdapterRegistrator)),
    __param(1, inversify_1.inject(controllers_registrator_1.ControllersRegistrator)),
    __metadata("design:paramtypes", [event_distributor_adapter_registrator_1.EventDistributorAdapterRegistrator,
        controllers_registrator_1.ControllersRegistrator])
], BrokerMode);
exports.BrokerMode = BrokerMode;
