"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpcProcessChannels = void 0;
class IpcProcessChannels {
    constructor() {
        this.channels = {};
    }
    addChannel(channelName, listener) {
        this.channels = Object.assign(Object.assign({}, this.channels), { [channelName]: listener });
    }
    isChannelFree(channelName) {
        return !this.getChannelListenerByName(channelName);
    }
    getChannelListenerByName(channelName) {
        for (const key of Object.keys(this.channels)) {
            if (key === channelName) {
                return this.channels[key];
            }
        }
        return null;
    }
}
exports.IpcProcessChannels = IpcProcessChannels;
