/// <reference types="node" />
import { IpcProcessChannels } from './ipc-process-channels';
import ChildProcess from 'child_process';
export declare class IpcProcessMessageListener {
    private process;
    private channels;
    constructor(process: NodeJS.Process | ChildProcess.ChildProcess, channels: IpcProcessChannels);
    start(): void;
    private forwardToChannel;
    private callListenerAndRespond;
    private respond;
}
