/// <reference types="node" />
import ChildProcess from 'child_process';
import { MessageHandler } from '../types/message-handler.type';
export default class IpcProcess {
    private process;
    private channels;
    private messageListener;
    constructor(childProcess?: NodeJS.Process | ChildProcess.ChildProcess);
    send(channelName: string, payload: unknown): void;
    on(channel: string, listener: MessageHandler): void;
}
